GDB (xrefs)

Public Attributes | List of all members
event_location Struct Reference

## Public Attributes
enum event_location_type | type
union {
char * addr_string
struct linespec_location linespec_location
CORE_ADDR address
struct explicit_location explicit_loc
} | u
char * | as_string

## Detailed Description

Definition at line 36 of file location.c.

## Member Data Documentation

## ◆ addr_string

char* event_location::addr_string

Definition at line 45 of file location.c.

Referenced by new_address_location().

## ◆ address

CORE_ADDR event_location::address

Definition at line 53 of file location.c.

## ◆ as_string

char* event_location::as_string

Definition at line 63 of file location.c.

## ◆ explicit_loc

struct explicit_location event_location::explicit_loc

Definition at line 57 of file location.c.

Referenced by new_explicit_location().

## ◆ linespec_location

struct linespec_location event_location::linespec_location

Definition at line 49 of file location.c.

## ◆ type

enum event_location_type event_location::type

Definition at line 39 of file location.c.

## ◆ u

union { ... } event_location::u

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/location.c